Method: projects.locations.backupCollections.backups.export

将特定备份导出到客户目标 Cloud Storage URI。

HTTP 请求

POST https://redis.googleapis.com/v1/{name=projects/*/locations/*/backupCollections/*/backups/*}:export

网址采用 gRPC 转码语法。

路径参数

参数
name

string

必需。Redis 备份资源名称,格式为:projects/{projectId}/locations/{locationId}/backupCollections/{backup_collection_id}/backups/{backupId}

请求正文

请求正文中包含结构如下的数据:

JSON 表示法
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "gcsBucket": string
  // End of mutually exclusive fields.
}
字段
必需。指定导出备份的目标位置。以下是互斥字段的列表。在响应中,最多只能设置以下字段之一:
gcsBucket

string

Google Cloud Storage 存储桶,例如“my-bucket”。

互斥字段的结束。

响应正文

如果成功,则响应正文包含一个 Operation 实例。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/redis.read-write

如需了解详情,请参阅 Authentication Overview。